this.name        = "new_lasers_conditions";
this.author      = "Redspear";
this.copyright   = "2016 Redspear";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "conditions for lasers being offered";
this.version     = "0.7";

// stops clogging up the F3 screen by only offering some lasers at any given place.
// distribution is predictable but that may not be obvious at first.

"use strict";

this.allowAwardEquipment = function(equipment, ship, context) // **changed by phkb - credit and thanks to him.
{
	// for compatibility with Laser Mount Switching System (LMSS)
	var lmss = worldScripts.LMSS_Core; // ** added
	if (lmss && lmss._switching == true) return true; // ** added
 
	
	if (equipment == "EQ_WEAPON_EPULSE_LASER")
	{
		var pat = /bird/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Bird worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_DUAL_LASER")
	{
		var pat = /feline/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Feline worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_HVARISCAN_LASER")
	{
		var pat = /frog/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Frog worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_VARISCAN_LASER")
	{
		var pat = /lobster/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Lobster worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_EBEAM_LASER")
	{
		var pat = /bird/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Bird worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_BURST_LASER")
	{
		var pat = /humanoid/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Humanoid worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_ASSAULT_LASER")
	{
		var pat = /insect/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Insect worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_HIRAD_LASER")
	{
		var pat = /frog/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Frog worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_STAR_LASER")
	{
		var pat = /insect/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Insect worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_MINING_LASER")
	{
		var pat = /colonial/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Human worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_JKMINING_LASER")
	{
		var pat = /rodent/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Rodent worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_MILITARY_LASER")
	{
		var pat = /colonial/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Human worlds only
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_EMILITARY_LASER")
	{
		var pat = /bird/i;
		if (system.info.inhabitants.match(pat)) {
			return true; // Bird worlds only
		} else {
			return false;
		}
	}

	//'Uber' weapons...

	if (equipment == "EQ_WEAPON_FRONTIER_LASER")
	{
		var pat = /zero-g/i;
		if (system.info.description.match(pat)) {
			return true; // Frontier... Newtonian... Zero-G...
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_WILLIAMS_LASER")
	{
		var pat = /war/i;
		if (system.info.description.match(pat)) {
			return true; // Williams... Defender... Scrolling Shooter...
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_ZEUSCORP_LASER")
	{
		var pat = /poet/i;
		if (system.info.description.match(pat)) {
			return true; // Zeus... Legends... Poets... (bit obscure, I grant you)
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_LUCAS_LASER")
	{
		var pat = /graduate/i;
		if (system.info.description.match(pat)) {
			return true; // George... Film School... Arts Graduate...
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_QVC_LASER")
	{
		var pat = /food blenders/i;
		if (system.info.description.match(pat)) {
			return true; // QVC... Shopping Channel... Household goods...
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_DEXM_LASER")
	{
		var pat = /volcano/i;
		if (system.info.description.match(pat)) {
			return true; // Doom... Mt.Doom... Volcano...
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_ANDERSON_LASER")
	{
		var pat = /earthquake/i; // ** changed - spelling mistake corrected by phkb (thanks!)
		if (system.info.description.match(pat)) {
			return true; // Space 1999... Questionable seismic effects on moon... Earthquakes...
		} else {
			return false;
		}
	}

	if (equipment == "EQ_WEAPON_RIMMERACE_LASER")
	{
		var pat = /exciting sit coms/i;
		if (system.info.description.match(pat)) {
			return true; // Ace Rimmer... Red Dwarf... Sci-fi sit-com...
		} else {
			return false;
		}
	}

	// remainder from oolite-conditions.js

		// OXP hook to allow stations to forbid specific equipment
	if (context == "purchase" && player.ship.dockedStation && player.ship.dockedStation.scriptInfo["oolite-barred-equipment"])
	{
		if (player.ship.dockedStation.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
		{
			return false;
		}
	}

	// OXP hook to allow ships to forbid specific "available to all" equipment
	if (ship.scriptInfo && ship.scriptInfo["oolite-barred-equipment"] && ship.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
	{
		return false;
	}

	// otherwise allowed
	return true;
}
